<link rel="import" href="chrome://resources/polymer/v1_0/polymer/polymer.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-checkbox/paper-checkbox.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_events/cr_events.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/policy/cr_policy_indicator.html">
<link rel="import" href="chrome://md-settings/policy_controllable/policy_controllable.html">
<link rel="import" href="chrome://md-settings/pref_tracker/pref_tracker.html">

<dom-module id="cr-settings-checkbox">
  <link rel="import" type="css" href="checkbox.css">
  <template>
    <cr-events id="events"></cr-events>
    <cr-settings-pref-tracker pref="[[pref]]"></cr-settings-pref-tracker>

    <div id="outerDiv" class="layout horizontal center">
      <paper-checkbox id="checkbox" checked="{{checked}}"
          disabled="[[checkboxDisabled_(disabled, pref)]]">
        <span id="mainLabel">{{label}}</span>
        <span id="subLabel">{{subLabel}}</span>
      </paper-checkbox>
      <cr-policy-indicator pref="[[pref]]"></cr-policy-indicator>
    </div>
  </template>
  <script src="checkbox.js"></script>
</dom-module>
